Skip to main content
Version: Next

Payout

POST /client/Next/payout

Send a payout from the account connected to the api key.

Request Body

Field NameTypeRequiredDefaultDescription
productSlugStringYes-Slug of the product
amountDecimalYes-Amount you want to send in the payout. Amount does not include fees
currencyStringYes-Currency of product
fieldsMap<String,String>No-Product specific fields. Can be found here

Parameters

ParameterTypeRequiredDefaultDescription
testBooleanNofalseEnables test mode. For more information see Test Mode

Example Request

curl -X POST api.rewarble.com/client/Next/payout \
-H "Authorization: Bearer <api key>" \
-H "Content-Type: application/json" \
-d '
{
"productSlug":"paypal-topup-gbp",
"amount":20,
"currency":"gbp",
"fields": {
"accountId": "test@test.com"
}
}'

Example Response

{
"trx": "TRX-ABC123ABC123ABC123ABC1231-ABC12",
"dateCreated": "Jun 16, 2025, 7:30:32 AM",
"email": "test@test.com",
"status": "pending",
"type": "test",
"productSlug": "paypal-topup-gbp",
"priceAmount": 22.00,
"priceCurrency": "eur",
"receiverAccount": "John Doe",
"payOutAmount": 20,
"payOutCurrency": "eur"
}

Response Fields

Field nameField typeField description
trxStringID of the transaction
dateCreatedDateDate when transaction is created
emailStringRewarble account email
statusStringStatus of the transaction
stateStringState of the request. Either production or test
productSlugStringSlug of the product
priceAmountDecimalPrice
priceCurrencyStringCurrency of price
receiverAccountStringAccount that receives pay out
payOutAmountDecimalAmount sent by payout
payOutCurrencyStringPay out currency

Errors

Http status codeHttps statusMessageReason
404NOT_FOUNDPRODUCT_NOT_FOUNDProduct cannot be found
400BAD_REQUESTINVALID_PRODUCTProduct cannot be found
400BAD_REQUESTINVALID_CURRENCYCurrency does not match product currency
403FORBIDDENKYC_REQUIREDKYC is required on account. Visiting rewarble.com for more information
422UNPROCESSABLE_ENTITYPRODUCT_NOT_STOCKEDProduct out of stuck
400BAD_REQUESTINVALID_FACEVALUEAmount is invalid
400BAD_REQUESTFACEVALUE_BELOW_MINAmount is below minimum
400BAD_REQUESTFACEVALUE_ABOVE_MAXAmount is above maximum
400BAD_REQUESTILLEGAL_FACEVALUEAmount is invalid
402PAYMENT_REQUIREDINSUFFICIENT_BALANCEAccount does not have enough balance
400BAD_REQUESTMISSING_FIELDSFields array in request is not complete
500INTERNAL_SERVER_ERRORPAYOUT_FAILEDUnknown error

Notes

note
  • Amount will be the amount excluding fees